package api

import (
	"net/http"

	"github.com/gin-gonic/gin"
)

func listAvailableChannels(c *gin.Context) {
	token, _ := c.Get(SESSION_COOKIE)

	channels, err := chatController.ListAvailableChannels(token.(string))
	if err != nil {
		sendError(c, err)
		return
	}

	c.JSON(http.StatusOK, gin.H{
		"message":  "channels listed",
		"channels": channels,
	})
}
